#ifndef PROXYSERVER_H
#define PROXYSERVER_H

#include <QTcpServer>
#include <QObject>

class ProxyServer : public QTcpServer
{
    Q_OBJECT
public:
    ProxyServer(int localPort, int remotePort, const QString &remoteHost, const QString &serverName);

protected:
    void incomingConnection(qintptr socketDescriptor);

private:
    int p_remotePort;
    QString p_remoteHost;
    QString p_serverName;
};

#endif // PROXYSERVER_H
